Summary:  Full system versioning with metadata support
Name:  fsvs
Version:  1.2.5
Release:  1%{?dist}
Group:  Development/Tools
License:  GPLv3
URL:  http://www.fsvs-software.org/
Source0:  http://download.fsvs-software.org/fsvs-%{version}.tar.bz2
Patch1:  fsvs-1.2.4-explicit_linkage.patch
BuildRequires:  apr-devel, apr-util-devel, pcre-devel, subversion-devel
BuildRequires:  gdbm-devel, ctags
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root


%description
FSVS is a backup/restore/versioning/deployment tool for whole directory
trees or filesystems, with a subversion repository as the backend.
It can do overlays of multiple repositories, to achieve some content
separation (base install, local modifications, etc.) 


%prep
%setup -q
%patch1 -p1


%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure --with-aprinc=/usr/include/apr-1/
%{__make} -C src %{?_smp_mflags} %{?mflags}


%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT/%{_mandir}/man1 $RPM_BUILD_ROOT/%{_mandir}/man5
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/fsvs $RPM_BUILD_ROOT%{_var}/spool/fsvs

%{__install} -m 0755 src/fsvs $RPM_BUILD_ROOT%{_bindir}
%{__install} -m 0644 doc/*.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
%{__install} -m 0644 doc/*.5 $RPM_BUILD_ROOT/%{_mandir}/man5/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%doc CHANGES LICENSE README
%doc doc/FAQ doc/IGNORING doc/PERFORMANCE doc/USAGE
%config %{_sysconfdir}/fsvs/
%config %{_var}/spool/fsvs/
%{_bindir}/fsvs
%{_mandir}/man1/*
%{_mandir}/man5/*


%changelog
